---
layout: default
title: GitLab CE and EE AWS AMI
description: "Learn about GitLab Community Edition and Enterprise Edition on AWS with our machine image."
suppress_header: true
extra_css:
  - aws.css
current_version: gitlab-aws-image
---
.wrapper
  .page-illustrated-header-container
    = partial "includes/icons/gitlab-icon-pattern-header.svg"
    .container
      .header-container-content
        %h1 GitLab CE and EE AWS AMI
        %h2
          GitLab Community Edition and Enterprise Edition on AWS with our machine image

  #content
    .wrapper.container{role: "main"}
      %ul.aws-install
        %li
          Search for GitLab CE X.Y (X.Y represent version number) or GitLab EE X.Y under Community AMIs.
          The latest version of GitLab CE/EE Omnibus will be fetched on first boot.
        %li
          Launch a
          %a{href: "https://gitlab.com/gitlab-org/gitlab-ce/blob/master/doc/install/requirements.md"} c4.large instance
          with open ports for ssh, http and https.
        %li
          SSH into the instance with
          %code ubuntu@your-instance
        %li
          edit the
          %code /etc/gitlab/gitlab.rb
          file to your needs, and run
          %code sudo gitlab-ctl reconfigure
        %li
          Visit the public IP in a browser and sign in as the default user
        %ul
          %li
            username:
            %code root
          %li
            password:
            %code 5iveL!fe
